<?php
saxue_includedb();
class saxuememberuserdata extends saxueobjectdata {
		function saxuememberuserdata() {
				$this -> initvar( "uid", SAXUE_TYPE_INT, 0, "会员ID", false, 11 );
				$this -> initvar( "regtime", SAXUE_TYPE_INT, 0, "注册日期", false, 10 );
				$this -> initvar( "regip", SAXUE_TYPE_TXTBOX, "", "注册IP", false, 15 );
				$this -> initvar( "mobile", SAXUE_TYPE_TXTBOX, "", "手机", false, 11 );
				$this -> initvar( "prelogintime", SAXUE_TYPE_INT, 0, "上次登录日期", false, 10 );
				$this -> initvar( "preloginip", SAXUE_TYPE_TXTBOX, "", "上次登录IP", false, 15 );
				$this -> initvar( "logintime", SAXUE_TYPE_INT, 0, "本次登录日期", false, 10 );
				$this -> initvar( "loginip", SAXUE_TYPE_TXTBOX, "", "本次登录IP", false, 15 );
				$this -> initvar( "logintimes", SAXUE_TYPE_INT, 0, "登录次数", false, 8 );
				$this -> initvar( "gender", SAXUE_TYPE_INT, 0, "性别0未知1男2女", false, 1 );
				$this -> initvar( "qq", SAXUE_TYPE_TXTBOX, "", "QQ", false, 20 );
				$this -> initvar( "msn", SAXUE_TYPE_TXTBOX, "", "MSN", false, 50 );
				$this -> initvar( "intro", SAXUE_TYPE_TXTBOX, "", "个人简介", false, 150 );
		} 
} 

class saxuememberuserdatahandler extends saxueobjecthandler {
		function saxuememberuserdatahandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "memberuserdata";
				$this -> autoid = "uid";
				$this -> dbname = "member_userdata";
		} 
}